> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet transaction by ID



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/wallets/fiat/transactions/{transactionId}
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/wallets/fiat/transactions/{transactionId}:
    get:
      tags:
        - NGN Wallets
      summary: Get wallet transaction by ID
      operationId: FiatWalletTransactionsController_findOne
      parameters:
        - name: transactionId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Transaction retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FiatWalletTransactionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: The transaction does not belong to the authenticated business
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Transaction not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    FiatWalletTransactionResponse:
      allOf:
        - $ref: '#/components/schemas/FiatWalletTransaction'
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
    FiatWalletTransaction:
      type: object
      properties:
        transactionId:
          type: string
        transactionType:
          type: string
          enum:
            - deposit
            - withdrawal
        walletId:
          type: string
          description: >-
            Wallet identifier returned by the custody provider. It is distinct
            from the internal crypto-address UUID used by some retrieval
            endpoints.
        accountNumber:
          type: string
        status:
          type: string
        amount:
          type: number
        fee:
          type: number
        beneficiary:
          type: object
          properties:
            accountNumber:
              type: string
            accountName:
              type: string
            bankName:
              type: string
          additionalProperties: true
        originator:
          type: object
          properties:
            accountNumber:
              type: string
            accountName:
              type: string
            bankName:
              type: string
          additionalProperties: true
        toWalletAccountNumber:
          type: string
        narration:
          type: string
        reference:
          type: string
        createdAt:
          type: string
          format: date-time
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````